Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Nov 2015 19:54:25 +0200

> From: "John Wiegley" <[email-masked]>
> Date: Thu, 19 Nov 2015 09:37:16 -0800
> Cc: Richard Stallman <[email-masked]>, [email-masked]
> 
> By 25.2, anything that is built using "make" should be warning free, both C
> and Emacs Lisp

We can stop worrying about warnings in C: there are none, and a few
people regularly compile with pedantic compiler switches and fix
whatever they flag.

The problem of warnings is limited to Lisp, and then mostly to a few
specific packages.  Dmitry mentioned some of them.  From my POV, the
worst barrage is in CEDET, so IMO that should be the place where we
apply the first efforts.